
&НаКлиенте
Процедура НоменклатураПриИзменении(Элемент)
	ЦенаНоменклатуры = ПолучитьЦенуНоменклатуры(Объект.Номенклатура, Объект.Дата);
	Объект.НоваяЦена = ЦенаНоменклатуры;
КонецПроцедуры

&НаСервереБезКонтекста
Функция ПолучитьЦенуНоменклатуры(НоменклатураДокумента, Дата)
	Возврат РаботаСНоменклатуройСервер.ПолучитьЦенуНоменклатуры(НоменклатураДокумента, Дата); 
КонецФункции

&НаКлиенте
Процедура НеУдалосьПочинитьПриИзменении(Элемент)
	Если Объект.НеУдалосьПочинить Тогда
		Объект.НоваяЦена = 0;
		Элементы.НоваяЦена.Видимость = Ложь;
	Иначе
		ЦенаНоменклатуры = ПолучитьЦенуНоменклатуры(Объект.Номенклатура, Объект.Дата);
		Объект.НоваяЦена = ЦенаНоменклатуры;
		Элементы.НоваяЦена.Видимость = Истина;
	КонецЕсли;
КонецПроцедуры

&НаКлиенте
Процедура НоменклатураНачалоВыбора(Элемент, ДанныеВыбора, СтандартнаяОбработка)
	СтандартнаяОбработка = Ложь;
	ПараметрыФормы = Новый Структура;
	ПараметрыФормы.Вставить("ОтборСостояния", "НаРемонте");
	ОткрытьФорму("Справочник.Номенклатура.ФормаВыбора", ПараметрыФормы, Элементы.Номенклатура);

КонецПроцедуры
